Subject: Re: [PATCH] refs: mark the file-local vtable symbols as static

From: Michael Haggerty <[email-masked]>
Date: Thu, 9 Jun 2016 14:40:29 +0200

On 06/08/2016 08:55 PM, Junio C Hamano wrote:
> Ramsay Jones <[email-masked]> writes:
> 
>> Signed-off-by: Ramsay Jones <[email-masked]>
>> ---
>>
>> Hi Michael, Junio,
>>
>> I would normally ask you to squash this into the relevant patch when
>> you next re-roll your 'mh/ref-iterators' branch, but this has already
>> been merged into next. (I normally have a bit more time ... sorry!).
>>
>> Perhaps, after the release, when the next branch is re-wound/re-built,
>> this could be squashed into your branch then.
> 
> Yup, sounds like a plan.
> 
>>
>> Anyway, after applying this patch, the following symbols are still
>> 'public but unused':
>>
>> 	> refs/files-backend.o	- files_reflog_iterator_begin
>> 	> refs/iterator.o	- is_empty_ref_iterator
>> 	> refs/iterator.o	- merge_ref_iterator_begin
>>
>> These all look (potentially) useful for the implementation of
>> additional 'ref-iter' types and look to be part of the _internal_
>> iterator API - so they should not be marked static. Can you just
>> confirm my interpretation.
> 
> I am not Michael, but FWIW I think that is sensible.

I *am* Michael, and I think your changes look good. Thanks for your review.

I've incorporated your changes with some other changes in a re-roll [1]
in case Junio wants to use it in that form. Please note that two of the
hunks that you are suggesting apply to "refs: introduce an iterator
interface" and the third to "for_each_reflog(): reimplement using
iterators".

Michael

[1] http://article.gmane.org/gmane.comp.version-control.git/296883